Canaux d'alerte

Authentification
La clé API doit être envoyée comme jeton Bearer dans l'en-tête Authorization de la requête. Obtenir votre clé API.
Liste

Point de terminaison API

GET
https://up.aubin.dev/api/v1/alert-channels

Exemple de requête

curl --location --request GET 'https://up.aubin.dev/api/v1/alert-channels' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nom
Type
Description
search
facultatif string
Search query.
search_by
facultatif string
Rechercher par. Les valeurs possibles sont : name pour Nom. Par défaut : name.
type
facultatif string
Type. Les valeurs possibles sont : email, sms, phone_call, webhook, slack, teams, discord, flock, telegram, mattermost.
sort_by
facultatif string
Trier par. Les valeurs possibles sont : id pour Date de création, name pour Nom. Par défaut : id.
sort
facultatif string
Trier. Les valeurs possibles sont : desc pour Décroissant, asc pour Décroissant. Par défaut : desc.
per_page
facultatif integer
Résultats par page. Les valeurs possibles sont : 10, 25, 50, 100. Par défaut : 25.
Afficher

Point de terminaison API

GET
https://up.aubin.dev/api/v1/alert-channels/{id}

Exemple de requête

curl --location --request GET 'https://up.aubin.dev/api/v1/alert-channels/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Stocker

Point de terminaison API

POST
https://up.aubin.dev/api/v1/alert-channels

Exemple de requête

curl --location --request POST 'https://up.aubin.dev/api/v1/alert-channels' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}' \
--data-urlencode 'type={type}' \
--data-urlencode 'value={value}'

Parameters

Nom
Type
Description
name
requis string
Nom.
type
requis string
Type. Les valeurs possibles sont : email pour E-mail, sms pour SMS, phone_call pour Phone call, webhook pour Webhook, slack pour Slack, teams pour Microsoft Teams, discord pour Discord, flock pour Flock, telegram pour Telegram, mattermost pour Mattermost.
value[email]
facultatif string
E-mail.
value[phone]
facultatif string
Téléphone.
value[webhook_url]
facultatif string
URL du Webhook.
value[slack_url]
facultatif string
Slack webhook URL.
value[discord_url]
facultatif string
Discord webhook URL.
value[flock_url]
facultatif string
Flock webhook URL.
value[teams_url]
facultatif string
Microsoft Teams webhook URL.
value[mattermost_url]
facultatif string
Mattermost webhook URL.
value[telegram_token]
facultatif string
Telegram token.
value[telegram_chat_id]
facultatif string
Telegram chat ID.
Mettre à jour

Point de terminaison API

PUT PATCH
https://up.aubin.dev/api/v1/alert-channels/{id}

Exemple de requête

curl --location --request PUT 'https://up.aubin.dev/api/v1/alert-channels/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nom
Type
Description
name
facultatif string
Nom.
type
facultatif string
Type. Les valeurs possibles sont : email pour E-mail, sms pour SMS, phone_call pour Phone call, webhook pour Webhook, slack pour Slack, teams pour Microsoft Teams, discord pour Discord, flock pour Flock, telegram pour Telegram, mattermost pour Mattermost.
value[email]
facultatif string
E-mail.
value[phone]
facultatif string
Téléphone.
value[webhook_url]
facultatif string
URL du Webhook.
value[slack_url]
facultatif string
Slack webhook URL.
value[discord_url]
facultatif string
Discord webhook URL.
value[flock_url]
facultatif string
Flock webhook URL.
value[teams_url]
facultatif string
Microsoft Teams webhook URL.
value[telegram_token]
facultatif string
Telegram token.
value[telegram_chat_id]
facultatif string
Telegram chat ID.
Supprimer

Point de terminaison API

DELETE
https://up.aubin.dev/api/v1/alert-channels/{id}

Exemple de requête

curl --location --request DELETE 'https://up.aubin.dev/api/v1/alert-channels/{id}' \
--header 'Authorization: Bearer {api_key}'